com.brightcove.player.store

## Class AbstractDownloadRequestSet

- java.lang.Object
- - com.brightcove.player.store.AbstractDownloadRequestSet

- All Implemented Interfaces:
    IdentifiableEntity<com.brightcove.player.store.DownloadRequestSet,java.lang.Long>, io.requery.Persistable

      @Entity
      public abstract class AbstractDownloadRequestSet
      extends java.lang.Object
      implements IdentifiableEntity<com.brightcove.player.store.DownloadRequestSet,java.lang.Long>

  Defines the contract of an entity that can be parceled and persisted into a local database with information related to set of download requests.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractDownloadRequestSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<java.lang.Long>` | `getDownloadRequestIds()` Extracts the list of download request identifiers in the set.
    `io.requery.query.LogicalCondition<? extends io.requery.query.Expression<java.lang.Long>,?>` | `getIdentityCondition()` Gets a `LogicalCondition` that can be used to match this entity by it's unique identifier.
    `io.requery.query.LogicalCondition<? extends io.requery.query.Expression<java.lang.Long>,?>` | `getIdentityCondition(java.lang.Long key)` Gets a `LogicalCondition` that can be used to match an entity by it's unique identifier.
    `long` | `getModifiedTime()` Gets the date and time when the request was modified as number of milliseconds since January 1, 1970, 00:00:00 GMT.
    `boolean` | `isMarkedForDeletion()` Checks if the status indicates the download is currently marked for deletion.
    `void` | `onBeforeInsert()` Sets the create time before the inserting the entity into the database table.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.brightcove.player.store.IdentifiableEntity

      `getKey`

- - ### Constructor Detail

    - #### AbstractDownloadRequestSet

          public AbstractDownloadRequestSet()

  - ### Method Detail

    - #### onBeforeInsert

          @PreInsert
          public void onBeforeInsert()

      Sets the create time before the inserting the entity into the database table.

    - #### getModifiedTime

          public long getModifiedTime()

      Gets the date and time when the request was modified as number of milliseconds since January 1, 1970, 00:00:00 GMT.
      Returns:

    - #### getDownloadRequestIds

          @NonNull
          public java.util.List<java.lang.Long> getDownloadRequestIds()

      Extracts the list of download request identifiers in the set.
      Returns:
        a list of download request identifiers

    - #### isMarkedForDeletion

          public boolean isMarkedForDeletion()

      Checks if the status indicates the download is currently marked for deletion.
      Returns:
        true if the downloads is marked of deletion, otherwise false.

    - #### getIdentityCondition

          public io.requery.query.LogicalCondition<? extends io.requery.query.Expression<java.lang.Long>,?> getIdentityCondition(java.lang.Long key)

      Description copied from interface: `IdentifiableEntity`
      Gets a `LogicalCondition` that can be used to match an entity by it's unique identifier.
      Specified by:
        `getIdentityCondition` in interface `IdentifiableEntity<com.brightcove.player.store.DownloadRequestSet,java.lang.Long>`
      Parameters:
        `key` - the unique identifier of the entity.
      Returns:
        the logical condition.

    - #### getIdentityCondition

          public io.requery.query.LogicalCondition<? extends io.requery.query.Expression<java.lang.Long>,?> getIdentityCondition()

      Description copied from interface: `IdentifiableEntity`
      Gets a `LogicalCondition` that can be used to match this entity by it's unique identifier.
      Specified by:
        `getIdentityCondition` in interface `IdentifiableEntity<com.brightcove.player.store.DownloadRequestSet,java.lang.Long>`
      Returns:
        the logical condition.